Subject: bug#50016: closed (Re: [bug#50016] [PATCH] gnu: gnuradio: Don't include QtWebKit in the dependency graph.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 15 Aug 2021 18:05:02 +0000

Your bug report

#50016: [PATCH] gnu: gnuradio: Don't include QtWebKit in the dependency graph.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
50016: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=50016
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#50016] [PATCH] gnu: gnuradio: Don't include QtWebKit in the dependency graph.
From: Leo Famulari <[email-masked]>
To: Guillaume Le Vaillant <[email-masked]>
Cc: [email-masked]
Date: Sun, 15 Aug 2021 14:04:45 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Aug 12, 2021 at 07:29:28AM +0000, Guillaume Le Vaillant wrote:
> gr-satellites has some functions using HTTP connections, but it's using
> python-requests for that, not qtwebkit.
> So it looks like nothing based on gnuradio actually depends on qtwebkit,
> and your patch will not cause any issue.

Thanks for the advice. I've gone ahead and pushed as
6ebba295038a84bdeb84adf7652c9a4409ca3d90

Subject: [PATCH] gnu: gnuradio: Don't include QtWebKit in the dependency graph.
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Wed, 11 Aug 2021 18:11:46 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

This changes affects two leaf packages: gqrx and gr-satellites.

I tested that gqrx still works. I'm not sure how to use gr-satellites.

* gnu/packages/radio.scm (gnuradio)[inputs]: Replace python-pyqt with
python-pyqt-without-qtwebkit.
---
 gnu/packages/radio.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/radio.scm b/gnu/packages/radio.scm
index b0c5d960ed..4ca0bf65a7 100644
--- a/gnu/packages/radio.scm
+++ b/gnu/packages/radio.scm
@@ -531,7 +531,7 @@ used by RDS Spy, and audio files containing @dfn{multiplex} signals (MPX).")
        ("python-numpy" ,python-numpy)
        ("python-pycairo" ,python-pycairo)
        ("python-pygobject" ,python-pygobject)
-       ("python-pyqt" ,python-pyqt)
+       ("python-pyqt" ,python-pyqt-without-qtwebkit)
        ("python-pyyaml" ,python-pyyaml)
        ("qtbase" ,qtbase-5)
        ("qwt" ,qwt)
-- 
2.32.0